Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.oxm
Interface Unmarshaller

All Known Subinterfaces:
  GenericUnmarshaller, MimeUnmarshaller

All Known Implementing Classes:
  AbstractMarshaller, CastorMarshaller, Jaxb2Marshaller, JibxMarshaller, XmlBeansMarshaller, XStreamMarshaller

    public interface Unmarshaller

Defines the contract for Object XML Mapping unmarshallers. Implementations of this interface can deserialize a given XML Stream to an Object graph.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  `Marshaller`

Method Summary
`boolean` | `supports(java.lang.Class<?> clazz)` Indicates whether this unmarshaller can unmarshal instances of the supplied type.
`java.lang.Object` | `unmarshal(javax.xml.transform.Source source)` Unmarshals the given `Source` into an object graph.

Method Detail

### supports

    boolean supports(java.lang.Class<?> clazz)

  Indicates whether this unmarshaller can unmarshal instances of the supplied type.

  Parameters:
    `clazz` - the class that this unmarshaller is being asked if it can marshal
  Returns:
    `true` if this unmarshaller can indeed unmarshal to the supplied class; `false` otherwise

### unmarshal

    java.lang.Object unmarshal(javax.xml.transform.Source source)
                               throws java.io.IOException,
                                      XmlMappingException

  Unmarshals the given `Source` into an object graph.

  Parameters:
    `source` - the source to marshal from
  Returns:
    the object graph
  Throws:
    `java.io.IOException` - if an I/O error occurs
    `XmlMappingException` - if the given source cannot be mapped to an object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD